<?php
    if ($user[user_rights] % 13 == 0) {
        if ($mode == "update") {
            $dbconn = new Coresql($db_server, $db_database, $db_account, $db_password);
            $query = $dbconn->execQuery("UPDATE $optionstable SET 
                news_nr             = $news_nr,
                show_email_standart = $show_email_standart,
                icon_dir            = '$icon_dir',
                use_icons           = $use_icons,
                comments_allowed    = $comments_allowed,
                use_style_id        = $use_style_id,
                preview_bgcolor     = '$preview_bgcolor',
                date_format         = '$date_format',
                news_alignment      = '$news_alignment',
                show_archive        = $show_archive,
                show_copyright      = $show_copyright");
            $corenews_options = $dbconn->fetchArray("SELECT * FROM $optionstable");
            $close = $dbconn->close();
        }
        $dbconn = new Coresql($db_server, $db_database, $db_account, $db_password);
        $styles = $dbconn->fetchMultiple("SELECT * FROM $styletable ORDER BY title");
        $close = $dbconn->close();
?>

<h1>Einstellungen</h1>

<form action="?show=options" method="post">
<table border="0" cellspacing="0" cellpadding="5">
<tr>
    <td>Anzahl der angezeigten News:</td>
    <td><input type="text" name="news_nr" value="<?php print $corenews_options[news_nr]; ?>" maxlength="3"></td>
</tr>
<tr>
    <td>E-Mail des Autors standartgem anzeigen?</td>
    <td>
        <select name="show_email_standart">
            <?php
                if (!$corenews_options[show_email_standart]) {
                    print "<option value=\"1\">ja</option>\n";
                    print "<option value=\"0\" selected>nein</option>\n";
                } else {
                    print "<option value=\"1\" selected>ja</option>\n";
                    print "<option value=\"0\">nein</option>\n";
                }
            ?>
        </select>
    </td>
</tr>
<tr>
    <td>Verzeichnis der Newsicons:</td>
    <td><input type="text" name="icon_dir" value="<?php print $corenews_options[icon_dir]; ?>" maxlength="255"></td>
</tr>
<tr>
    <td>Sollen Newsicons verwendet werden?</td>
    <td>
        <select name="use_icons">
            <?php
                if (!$corenews_options[use_icons]) {
                    print "<option value=\"1\">ja</option>\n";
                    print "<option value=\"0\" selected>nein</option>\n";
                } else {
                    print "<option value=\"1\" selected>ja</option>\n";
                    print "<option value=\"0\">nein</option>\n";
                }
            ?>
        </select>
    </td>
</tr>
<tr>
    <td>Sind Newskommentare erlaubt?</td>
    <td>
        <select name="comments_allowed">
            <?php
                if (!$corenews_options[comments_allowed]) {
                    print "<option value=\"1\">ja</option>\n";
                    print "<option value=\"0\" selected>nein</option>\n";
                } else {
                    print "<option value=\"1\" selected>ja</option>\n";
                    print "<option value=\"0\">nein</option>\n";
                }
            ?>
        </select>
    </td>
</tr>
<tr>
    <td>Welcher Style soll verwendet werden?</td>
    <td>
        <select name="use_style_id">
            <?php
                foreach ($styles as $result_detailed) {
                    foreach ($result_detailed as $key=>$elem) {
                        if ($corenews_options[use_style_id] == $elem[id]) {
                            print "<option value=\"$elem[id]\" selected>$elem[title]</option>\n";
                        } else {
                            print "<option value=\"$elem[id]\">$elem[title]</option>\n";
                        }
                    }
                }
            ?>
        </select>
    </td>
</tr>
<tr>
    <td>Preview-Hintergrundfarbe:</td>
    <td><input type="text" name="preview_bgcolor" value="<?php print $corenews_options[preview_bgcolor]; ?>" maxlength="255"></td>
</tr>
<tr>
    <td>Datumsformat:</td>
    <td><input type="text" name="date_format" value="<?php print $corenews_options[date_format]; ?>" maxlength="255"></td>
</tr>
<tr>
    <td>Wie sollen die News ausgerichtet werden?</td>
    <td>
        <select name="news_alignment">
            <?php
                if ($corenews_options[news_alignment] == "left") {
                    print "<option value=\"left\" selected>linksbndig</option>\n";
                    print "<option value=\"right\">rechtsbndig</option>\n";
                    print "<option value=\"center\">zentriert</option>\n";
                    print "<option value=\"justify\">autom. Anpassung</option>\n";
                } elseif ($corenews_options[news_alignment] == "right") {
                    print "<option value=\"left\">linksbndig</option>\n";
                    print "<option value=\"right\" selected>rechtsbndig</option>\n";
                    print "<option value=\"center\">zentriert</option>\n";
                    print "<option value=\"justify\">autom. Anpassung</option>\n";;
                } elseif ($corenews_options[news_alignment] == "center") {
                    print "<option value=\"left\">linksbndig</option>\n";
                    print "<option value=\"right\">rechtsbndig</option>\n";
                    print "<option value=\"center\" selected>zentriert</option>\n";
                    print "<option value=\"justify\">autom. Anpassung</option>\n";;
                } elseif ($corenews_options[news_alignment] == "justify") {
                    print "<option value=\"left\">linksbndig</option>\n";
                    print "<option value=\"right\">rechtsbndig</option>\n";
                    print "<option value=\"center\">zentriert</option>\n";
                    print "<option value=\"justify\" selected>autom. Anpassung</option>\n";;
                } else {
                    print "<option value=\"left\">linksbndig</option>\n";
                    print "<option value=\"right\">rechtsbndig</option>\n";
                    print "<option value=\"center\">zentriert</option>\n";
                    print "<option value=\"justify\">autom. Anpassung</option>\n";
                }
            ?>
        </select>
    </td>
</tr>
<tr>
    <td>Archiv anzeigen?</td>
    <td>
        <select name="show_archive">
            <?php
                if (!$corenews_options[show_archive]) {
                    print "<option value=\"1\">ja</option>\n";
                    print "<option value=\"0\" selected>nein</option>\n";
                } else {
                    print "<option value=\"1\" selected>ja</option>\n";
                    print "<option value=\"0\">nein</option>\n";
                }
            ?>
        </select>
    </td>
</tr>
<tr>
    <td>Copyright anzeigen?</td>
    <td>
        <select name="show_copyright">
            <?php
                if (!$corenews_options[show_copyright]) {
                    print "<option value=\"1\">ja</option>\n";
                    print "<option value=\"0\" selected>nein</option>\n";
                } else {
                    print "<option value=\"1\" selected>ja</option>\n";
                    print "<option value=\"0\">nein</option>\n";
                }
            ?>
        </select>
    </td>
</tr>
<tr>
    <td></td>
    <td><input type="submit" value="submit"></td>
</tr>
</table>
<input type="hidden" name="mode" value="update">
</form>

<?php
    } else {
        print "<h1>Du hast nicht ausreichende Rechte, um die Einstellungen zu ndern!<h1>\n";
    }
?>