<?php
    $extension = explode(".", $PHP_SELF);
    $ext_count = count($extension);
    $extension = "." . $extension[$ext_count-1];
    
    require("config".$extension);
    require("coresql".$extension);
    
    if (!isset($step)) {
        $step = 1;
    }
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>

    <title>:::[Corenews 2.0]-[Installation]-[Schritt <?php print $step; ?>]</title>

<style type="text/css">
<!--
body, p, td, ul {
	font-family: Verdana, Arial, Helvetica;
	font-size: 8pt;
	color: #404040;
	
}

h1 {
	font-family: Verdana, Arial, Helvetica;
	font-size: 8pt;
	color: #404040;
	font-weight: bold;
}

a {
	font-family: Verdana, Arial, Helvetica;
	color: #006699;
	text-decoration: none;
	font-weight: bold;
}

a:hover {
	color: #FFA34F;
	text-decoration: none;
}

textarea, select, option, input {
	font-family: Verdana, Arial, Helvetica;
	font-size: 8pt;
	color: #404040;
	border: 1px solid #006699;
	background: #E5E5E5;
}

.top {
	font-size: 10pt;
	color: #FFFFFF;
	font-weight: bold;
}

.small {
    font-size: 7pt;
}
-->
</style>

</head>

<body scroll="auto" bgcolor="#E5E5E5">

<table border="0" width="700" height="500" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
<colgroup>
    <col width="1">
    <col width="20">
    <col width="658">
    <col width="20">
    <col width="1">
</colgroup>
<tr>
    <td colspan="5" height="25" background="gfx/top.png">
        <table border="0" width="700" height="25" cellspacing="0" cellpadding="0">
        <tr>
            <td width="500"></td>
            <td width="200"><span class="top">:::[Corenews 2.0]</span></td>
        </tr>
        </table>
    </td>
</tr>
<tr>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
</tr>
<tr>
    <td height="20" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="20"></td>
    <td height="20"></td>
    <td height="20"></td>
    <td height="20" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
</tr>
<tr>
    <td height="418" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="418"></td>
    <td height="418" valign="top">
    
        <h1>Installation - Schritt <?php print $step; ?></h1>
        
        <?php
            if ($step == 1) {
        ?>
        Willkommen zur Corenews 2.0 Installation!
        <p>
        Wenn du die config.php noch nicht angepasst hast, solltest du dies
        nun schleunigst tun, ansonsten kann mit der Installation nicht 
        fortgefahren werden.
        <p>
        Im nchsten Schritt werden zunchst die Datenbanktabellen erstellt,
        die fr die Funktion von Corenews unumgnglich sind.
        <p>
        <b>Achtung:</b>
        Wenn die Tabellen bereits existieren werden sie unwiderruflich
        gelscht!
        <form action="<?php print $PHP_SELF; ?>" method="post">
        <input type="hidden" name="step" value="2">
        <input type="submit" value="Weiter &gt;&gt;">
        </form>
        <?php
            } elseif ($step == 2) {
        ?>
        Verbindung zur Datenbank wird aufgebaut:<br>
        <?php
            $dbconn = new Coresql($db_server, $db_database, $db_account, $db_password);
            $createdummy = $dbconn->execQuery("CREATE TABLE $dummytable (dummy int(1) NOT NULL) TYPE=MyISAM;");
            $deletedummy = $dbconn->execQuery("DROP TABLE $dummytable");
            if (($createdummy) && ($deletedummy)) {
                print "Verbindung aufgebaut!\n";
            ?>
            <p>
            Die Tabellen werden <b>jetzt</b> erstellt:
            <p>
            <?php
                $newstable_query = "
                CREATE TABLE $newstable (
                  id int(10) NOT NULL auto_increment,
                  author_id mediumint(10) NOT NULL default '0',
                  news_title varchar(255) NOT NULL default '',
                  time varchar(255) NOT NULL default '',
                  icon_id int(10) NOT NULL default '0',
                  show_email int(1) NOT NULL default '0',
                  news_text longtext NOT NULL,
                  link varchar(255) NOT NULL default '',
                  link_text varchar(255) NOT NULL default '',
                  PRIMARY KEY  (id),
                  KEY id (id)
                ) TYPE=MyISAM";
                
                $commentstable_query = "
                CREATE TABLE $commentstable (
                  id int(10) NOT NULL auto_increment,
                  news_id int(10) NOT NULL default '0',
                  author varchar(255) NOT NULL default '',
                  email varchar(255) NOT NULL default '',
                  title varchar(255) NOT NULL default '',
                  comment longtext NOT NULL,
                  time varchar(255) NOT NULL default '',
                  ip varchar(255) NOT NULL default '',
                  PRIMARY KEY  (id),
                  KEY news_id (news_id)
                ) TYPE=MyISAM";
                
                $icontable_query = "
                CREATE TABLE $icontable (
                  id int(10) NOT NULL auto_increment,
                  title varchar(255) NOT NULL default '',
                  name varchar(255) NOT NULL default '',
                  PRIMARY KEY  (id),
                  KEY id (id)
                ) TYPE=MyISAM";
                
                $optionstable_query = "
                CREATE TABLE $optionstable (
                  news_nr int(3) NOT NULL default '0',
                  show_email_standart int(1) NOT NULL default '0',
                  icon_dir varchar(255) NOT NULL default '',
                  use_icons int(1) NOT NULL default '0',
                  comments_allowed int(1) NOT NULL default '0',
                  use_style_id int(10) NOT NULL default '0',
                  preview_bgcolor varchar(255) NOT NULL default '',
                  date_format varchar(255) NOT NULL default '',
                  news_alignment varchar(255) NOT NULL default '',
                  show_archive int(1) NOT NULL default '0',
                  show_copyright int(1) NOT NULL default '0'
                ) TYPE=MyISAM";
                
                $styletable_query = "
                CREATE TABLE $styletable (
                  id int(10) NOT NULL auto_increment,
                  title varchar(255) NOT NULL default '',
                  header_color varchar(255) NOT NULL default '',
                  header_size varchar(255) NOT NULL default '',
                  smalltext_color varchar(255) NOT NULL default '',
                  smalltext_size varchar(255) NOT NULL default '',
                  news_color varchar(255) NOT NULL default '',
                  news_size varchar(255) NOT NULL default '',
                  css_header longtext NOT NULL,
                  template longtext NOT NULL,
                  PRIMARY KEY  (id)
                ) TYPE=MyISAM";
                
                $usertable_query = "
                CREATE TABLE $usertable (
                  id int(10) NOT NULL auto_increment,
                  username varchar(255) NOT NULL default '',
                  login varchar(255) NOT NULL default '',
                  password varchar(255) NOT NULL default '',
                  email varchar(255) NOT NULL default '',
                  user_rights int(8) NOT NULL default '1',
                  PRIMARY KEY  (id),
                  UNIQUE KEY login (login)
                ) TYPE=MyISAM";
                
                $deltable = $dbconn->execQuery("DROP TABLE IF EXISTS $newstable");
                $query = $dbconn->execQuery($newstable_query);
                if ($query) {
                    print "Newstabelle erfolgreich erstellt!<br>\n";
                } else {
                    print "<b>Newstabelle konnte nicht erstellt werden!</b><br>\n";
                }
                
                $deltable = $dbconn->execQuery("DROP TABLE IF EXISTS $commentstable;");
                $query = $dbconn->execQuery($commentstable_query);
                if ($query) {
                    print "Commentstabelle erfolgreich erstellt!<br>\n";
                } else {
                    print "<b>Commentstabelle konnte nicht erstellt werden!</b><br>\n";
                }
                
                $deltable = $dbconn->execQuery("DROP TABLE IF EXISTS $icontable;");
                $query = $dbconn->execQuery($icontable_query);
                if ($query) {
                    print "Icontabelle erfolgreich erstellt!<br>\n";
                } else {
                    print "<b>Icontabelle konnte nicht erstellt werden!</b><br>\n";
                }
                
                $deltable = $dbconn->execQuery("DROP TABLE IF EXISTS $optionstable;");
                $query = $dbconn->execQuery($optionstable_query);
                if ($query) {
                    print "Optionstabelle erfolgreich erstellt!<br>\n";
                } else {
                    print "<b>Optionstabelle konnte nicht erstellt werden!</b><br>\n";
                }
                
                $deltable = $dbconn->execQuery("DROP TABLE IF EXISTS $styletable;");
                $query = $dbconn->execQuery($styletable_query);
                if ($query) {
                    print "Styletabelle erfolgreich erstellt!<br>\n";
                } else {
                    print "<b>Styletabelle konnte nicht erstellt werden!</b><br>\n";
                }
                
                $deltable = $dbconn->execQuery("DROP TABLE IF EXISTS $usertable;");
                $query = $dbconn->execQuery($usertable_query);
                if ($query) {
                    print "Usertabelle erfolgreich erstellt!<br>\n";
                } else {
                    print "<b>Usertabelle konnte nicht erstellt werden!</b><br>\n";
                }
                
                $close = $dbconn->close();
                
            } else {
                print "<b>Verbindung konnte nicht aufgebaut werden!</b><br>\n";
                print "berprfe noch einmal genaustens die Angaben in der config.php\n";
                print "und vergewissere dich, dass die Datenbank funktionstchtig ist.\n";
                print "Wende dich gegebenfalls an deinen Webhoster / Systemadministrator...\n";
            }
        ?>
        <p>
        Die Tabellen wurden nun angelegt.
        <br>
        Im nchsten Schritt werden die sie mit Daten gefllt.
        <form action="<?php print $PHP_SELF; ?>" method="post">
        <input type="hidden" name="step" value="3">
        <input type="submit" value="Weiter &gt;&gt;">
        </form>
        <?php
            } elseif ($step == 3) {
        ?>
        Tabellen werden nun gefllt:
        <p>
        <?php
            $icon_query1  = "INSERT INTO $icontable VALUES (1,'Fun','fun.gif')";
            $icon_query2  = "INSERT INTO $icontable VALUES (2,'Games','games.gif')";
            $icon_query3  = "INSERT INTO $icontable VALUES (3,'Grafik','grahpics.gif')";
            $icon_query4  = "INSERT INTO $icontable VALUES (4,'Intel','intel.gif')";
            $icon_query5  = "INSERT INTO $icontable VALUES (5,'Interview','interview.gif')";
            $icon_query6  = "INSERT INTO $icontable VALUES (6,'Verschlsselung','encryption.gif')";
            $icon_query7  = "INSERT INTO $icontable VALUES (7,'Comic','comic.gif')";
            $icon_query8  = "INSERT INTO $icontable VALUES (8,'AMD','amd.gif')";
            $icon_query9  = "INSERT INTO $icontable VALUES (9,'Ankndigung','announce.gif')";
            $icon_query10 = "INSERT INTO $icontable VALUES (10,'Bug','bug.gif')";
            $icon_query11 = "INSERT INTO $icontable VALUES (11,'Links','links.gif')";
            $icon_query12 = "INSERT INTO $icontable VALUES (12,'Linux','linux.gif')";
            $icon_query13 = "INSERT INTO $icontable VALUES (13,'Movies','movies.gif')";
            $icon_query14 = "INSERT INTO $icontable VALUES (14,'Musik','music.gif')";
            $icon_query15 = "INSERT INTO $icontable VALUES (15,'Internet','internet.gif')";
            $icon_query16 = "INSERT INTO $icontable VALUES (16,'News','news.gif')";
            $icon_query17 = "INSERT INTO $icontable VALUES (17,'PHP','php.gif')";
            $icon_query18 = "INSERT INTO $icontable VALUES (18,'Quake','quake.gif')";
            $icon_query19 = "INSERT INTO $icontable VALUES (19,'Sicherheit','security.gif')";
            $icon_query20 = "INSERT INTO $icontable VALUES (20,'Technik','technics.gif')";
            
            $dbconn = new Coresql($db_server, $db_database, $db_account, $db_password);
            
            $query1  = $dbconn->execQuery($icon_query1);
            $query2  = $dbconn->execQuery($icon_query2);
            $query3  = $dbconn->execQuery($icon_query3);
            $query4  = $dbconn->execQuery($icon_query4);
            $query5  = $dbconn->execQuery($icon_query5);
            $query6  = $dbconn->execQuery($icon_query6);
            $query7  = $dbconn->execQuery($icon_query7);
            $query8  = $dbconn->execQuery($icon_query8);
            $query9  = $dbconn->execQuery($icon_query9);
            $query10 = $dbconn->execQuery($icon_query10);
            $query11 = $dbconn->execQuery($icon_query11);
            $query12 = $dbconn->execQuery($icon_query12);
            $query13 = $dbconn->execQuery($icon_query13);
            $query14 = $dbconn->execQuery($icon_query14);
            $query15 = $dbconn->execQuery($icon_query15);
            $query16 = $dbconn->execQuery($icon_query16);
            $query17 = $dbconn->execQuery($icon_query17);
            $query18 = $dbconn->execQuery($icon_query18);
            $query19 = $dbconn->execQuery($icon_query19);
            $query20 = $dbconn->execQuery($icon_query20);
            
            if (
            ($query1) &&
            ($query2) &&
            ($query3) &&
            ($query4) &&
            ($query5) &&
            ($query6) &&
            ($query7) &&
            ($query8) &&
            ($query9) &&
            ($query10) &&
            ($query11) &&
            ($query12) &&
            ($query13) &&
            ($query14) &&
            ($query15) &&
            ($query16) &&
            ($query17) &&
            ($query18) &&
            ($query19) &&
            ($query20)) {
                print "Icons wurden erfolgreich eingelesen!<br>\n";
            } else {
                print "<b>Icons konnten nicht eingelesen werden!</b><br>\n";
            }
            
            $style_query1 = "INSERT INTO $styletable VALUES (1,'Corenews 2.0 Default','#006699','11','#FFA34F','8','#404040','10','<style type=\"text/css\">\r\n<!--\r\n.cnheader {\r\n    font-family: Verdana, Arial, Helvetica;\r\n    font-size: {header_size}pt;\r\n    color: {header_color};\r\n    font-weight: bold;\r\n}\r\n\r\n.cnnews {\r\n    font-family: Verdana, Arial, Helvetica;\r\n    font-size: {news_size}pt;\r\n    color: {news_color};\r\n}\r\n\r\n.cnnews:link, .cnnews:visited {\r\n    color: {header_color};\r\n    text-decoration: underline;\r\n}\r\n\r\n.cnnews:hover{\r\n    color: {smalltext_color};\r\n    text-decoration: none;\r\n}\r\n\r\n.cnsmalltext {\r\n    font-family: Verdana, Arial, Helvetica;\r\n    font-size: {smalltext_size}pt;\r\n    color: {smalltext_color};\r\n    text-decoration: none;\r\n}\r\n\r\n.cnsmalltext:link, .cnsmalltext:visited {\r\n    text-decoration: none;\r\n    font-weight: bold;\r\n}\r\n\r\n\r\n.cnsmalltext:hover {\r\n    text-decoration: underline;\r\n}\r\n\r\n.cncomments  {\r\n    font-family: Verdana, Arial, Helvetica;\r\n    font-size: 8pt;\r\n    color: {news_color};\r\n}\r\n\r\n.cncomments:link, .cncomments:visited {\r\n    text-decoration: none;\r\n    font-weight: bold;\r\n}\r\n\r\n.cncomments:hover {\r\n    text-decoration: underline;\r\n}\r\n-->\r\n</style>','<table width=\"90%\" border=\"0\" cellpadding=\"0\" cellspacing=\"10\">\r\n<tr>\r\n    <td>\r\n        <table border=\"0\" cellpadding=\"0\" cellspacing=\"3\">\r\n        <tr>\r\n            <td>{icon}</td>\r\n            <td>\r\n                <div class=\"cnheader\">{newstitel}</div>\r\n                <div class=\"cnsmalltext\">von {user} ({datum})</div>\r\n            </td>\r\n        </tr>\r\n        </table>\r\n    </td>\r\n</tr>\r\n<tr>\r\n    <td><div class=\"cnnews\" align=\"{ausrichtung}\">{news}</div></td>\r\n</tr>\r\n<tr>\r\n    <td><div class=\"cnsmalltext\">Link: {link}<br>{kommentare}</div></td>\r\n</tr>\r\n</table>\r\n<br><br><br>')";
            $style_query2 = "INSERT INTO $styletable VALUES (2,'Coreslawn.de','#FFFFFF','10','#FFFFFF','8','#FFFFFF','10','<style type=\"text/css\">\r\n<!--\r\n.cnheader {\r\n    font-family: Verdana, Arial, Helvetica;\r\n    font-size: {header_size}pt;\r\n    color: {header_color};\r\n    font-weight: bold;\r\n}\r\n\r\n.cnnews {\r\n    font-family: Verdana, Arial, Helvetica;\r\n    font-size: {news_size}pt;\r\n    color: {news_color};\r\n}\r\n\r\n.cnnews:link, .cnnews:visited {\r\n    color: {header_color};\r\n    text-decoration: underline;\r\n}\r\n\r\n.cnnews:hover{\r\n    color: {smalltext_color};\r\n    text-decoration: none;\r\n}\r\n\r\n.cnsmalltext {\r\n    font-family: Verdana, Arial, Helvetica;\r\n    font-size: {smalltext_size}pt;\r\n    color: {smalltext_color};\r\n    text-decoration: none;\r\n}\r\n\r\n.cnsmalltext:link, .cnsmalltext:visited {\r\n    text-decoration: none;\r\n    font-weight: bold;\r\n}\r\n\r\n\r\n.cnsmalltext:hover {\r\n    text-decoration: underline;\r\n}\r\n\r\n.cncomments  {\r\n    font-family: Verdana, Arial, Helvetica;\r\n    font-size: 8pt;\r\n    color: {news_color};\r\n}\r\n\r\n.cncomments:link, .cncomments:visited {\r\n    text-decoration: none;\r\n    font-weight: bold;\r\n}\r\n\r\n.cncomments:hover {\r\n    text-decoration: underline;\r\n}\r\n\r\ntextarea, select, option, input {\r\n    font-family: Verdana, Arial, Helvetica;\r\n    font-size: {news_size}pt;\r\n}\r\n}-->\r\n</style>','<table border=\"0\" width=\"100%\">\r\n<tr>\r\n    <td width=\"130\" valign=\"top\">\r\n        <div align=\"center\">\r\n        {icon}<div class=\"cnheader\">{newstitel}</div>\r\n        </div>\r\n    </td>\r\n    <td width=\"50\"></td>\r\n    <td width=\"480\">\r\n    <div class=\"cnnews\" align=\"{ausrichtung}\">{news}</div>\r\n    <p>\r\n    <div class=\"cnsmalltext\">von {user} ({datum})<br>\r\n    Link: {link}<br>\r\n    {kommentare}\r\n    </div>\r\n    </td>\r\n</tr>\r\n<tr>\r\n    <td height=\"20\" colspan=\"3\"></td>\r\n</tr>\r\n</table>')";
            
            $query1  = $dbconn->execQuery($style_query1);
            $query2  = $dbconn->execQuery($style_query2);
            if (($query1) && ($query2)) {
                print "Styles und Templates wurden erfolgreich eingelesen!<br>\n";
            } else {
                print "<b>Styles und Templates konnten nicht eingelesen werden!</b><br>\n";
            }
            
            $options_query = "INSERT INTO $optionstable VALUES (10,1,'icons/',1,1,1,'#E5E5E5','j. n. Y, G:i','justify',1,1)";
            
            $query  = $dbconn->execQuery($options_query);
            if ($query) {
                print "Grundeinstellungen wurden erfolgreich eingelesen!<br>\n";
            } else {
                print "<b>Grundeinstellungen konnten nicht eingelesen werden!</b><br>\n";
            }
            
            $firstnews_query = "INSERT INTO $newstable VALUES (1,1,'Herzlichen Glckwunsch!',unix_timestamp(),9,1,'Corenews 2.0 wurde erfolgreich auf dieser Webseite installiert. Ich wnsche dir weiterhin viel Spa mit Corenews!\r<br>\r<br>Diese News kann jetzt gelscht werden...','http://www.coreslawn.de','Corenews Homepage')";
            
            $query  = $dbconn->execQuery($firstnews_query);
            if ($query) {
                print "Begrungsnews wurde erfolgreich eingelesen!<br>\n";
            } else {
                print "<b>Begrungsnews konnte nicht eingelesen werden!</b><br>\n";
            }
            
            $close = $dbconn->close();
        ?>
        <p>
        Die Tabellen sind jetzt gefllt.
        <br>
        Im nchsten Schritt wird der Adminuser angelegt.
        <form action="<?php print $PHP_SELF; ?>" method="post">
        <input type="hidden" name="step" value="4">
        <input type="submit" value="Weiter &gt;&gt;">
        </form>
        <?php
            } elseif ($step == 4) {
        ?>
        Nun wird der Adminuser, der alle Rechte hat, angelegt.
        <p>
        Bitte gebe weiter unten die Daten ein.
        <p>
        <b>Achtung:</b> Notiere dir das Passwort, wenn du es verlierst, kann es nicht mehr
        rekonstruiert werden.
        <br>
        (Dank 256-Bit Verschlsselung... ;))
        
        <form action="<?php print $PHP_SELF; ?>" method="post">
        <table border="0" cellspacing="0" cellpadding="5">
        <tr>
            <td>Username:</td>
            <td><input type="text" name="username" maxlength="255"></td>
            </tr>
        <tr>
            <td>Login:</td>
            <td><input type="text" name="login" maxlength="255"></td>
        </tr>
        <tr>
            <td>E-Mail:</td>
            <td><input type="text" name="email" maxlength="255"></td>
        </tr>
        <tr>
            <td>Passwort:</td>
            <td><input type="password" name="pass1" maxlength="255"></td>
        </tr>
        <tr>
            <td>wiederholen:</td>
            <td><input type="password" name="pass2" maxlength="255"></td>
        </tr>
        </table>
        <br>
        <input type="hidden" name="step" value="5">
        <input type="submit" value="Weiter &gt;&gt;">
        </form>
        <?php
            } elseif ($step == 5) {  
            
                if (($username != "") && ($login) && ($email) && ($pass1) && ($pass2) && ($pass1 == $pass2)) {
                    $dbconn = new Coresql($db_server, $db_database, $db_account, $db_password);
                    $query  = $dbconn->execQuery("INSERT INTO $usertable VALUES (1,'$username','$login',MD5('$pass1'),'$email',11741730)");
                    $close = $dbconn->close();
                    
                    if ($query) {
                    ?>
                    Der Adminuser wurde erfolgreich angelegt!
                    <p>
                    Herzlichen Glckwunsch, die Installation ist nun erfolgreich abgeschlossen!
                    Du kannst dich nun <a href="">einloggen</a> oder mit der Installation, wie sie im Handbuch
                    beschrieben ist, fortfahren.
                    <p>
                    <b>Lsche diese Datei nun unbedingt vom Server!!</b>
                    <?php
                    } else {
                        print "<b>Adminuser konnte nicht angelegt werden!</b><br>Versuch es noch einmal...\n";
                    }
                }
                if ($username == "") {
                    print "<b>Du hast vergessen einen Usernamen einzugeben!<b><br>\n";
                }
                if ($login == "") {
                    print "<b>Du hast vergessen einen Login einzugeben!<b><br>\n";
                }
                if ($email == "") {
                    print "<b>Du hast vergessen eine E-Mail einzugeben!<b><br>\n";
                }
                if ($pass1 == "") {
                    print "<b>Du hast vergessen das Passwort einzugeben!<b><br>\n";
                }
                if ($pass2 == "") {
                    print "<b>Du hast vergessen das Passwort zu wiederholen!<b><br>\n";
                }
                if ($pass1 != $pass2) {
                    print "<b>Das erste Passwort entspricht nicht dem zweiten!<b><br>\n";
                }
              
        ?>
        <?php
            }
        ?>
    
    </td>
    <td height="388"></td>
    <td height="388" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
</tr>
<tr>
    <td height="10" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="10"></td>
    <td height="10"></td>
    <td height="10"></td>
    <td height="10" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
</tr>
<tr>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
    <td height="1" bgcolor="#000000"><img src="gfx/pixel.gif" width="1" height="1"></td>
</tr>
<tr>
    <td colspan="5" height="25" background="gfx/bottom.png">
        <table border="0" width="700" height="25" cellspacing="0" cellpadding="0">
        <tr>
            <td width="50"></td>
            <td width="200"><span class="top">&copy; 2002 by Core</span></td>
            <td width="450"></td>
        </tr>
        </table>
    </td>
</tr>
</table>

</body>
</html>